%% Helper script that aids in quick batch processing & graph invocations with fixed ranges instead
%% of autoranging.
%% Prior to applying any of the helper functions, a problem file must be opened from the normal menu.

% 1;  % dummy statement (otherwise, the first keyword "function" treats this file not as script file
openfemm;

% global parameters: alterable only without 'global' statement
global b_upper = 1.5		% upper display range for B
global h_upper = 80000		% upper display range for H
global i_upper = 4		% upper display range for current
disp '***********************************************************************************'
disp '** Global graph parameters can be changed if desired, see this script file.      **'
disp '** Alter those variables in runtime if desired.                                  **'
disp '**   Alternatively, these variables can be set in a problem specific file        **'
disp '**   which calls this file. The problem specific file may also load a problem;   **'
disp '**   otherwise, use the GUI to load the desired problem file.                    **'
disp '** End the openfemm session using the closefemm command or by closing its window **'
disp '** Present functions (without argument) are:                                     **'
disp '** -- analyze, showb, showh, showi                                               **'
disp '***********************************************************************************'

function analyze
    mi_createmesh;
    mi_analyze;
    mi_loadsolution;
endfunction

function showb
    global b_upper
    % refer to octavefemm.pdf for argument info, here section 5.4, (postprocessor) "view commands"
    mo_showdensityplot(1,0,b_upper,0,'mag');
endfunction

function showh
    global h_upper
    mo_showdensityplot(1,0,h_upper,0,'hmag');
endfunction

function showi
    global i_upper
    mo_showdensityplot(1,0,i_upper,0,'jmag');
endfunction
